Okta Identity Governance
/Management APIs
/- List all security access reviews
Create a security access review
Retrieve the statistics for security access reviews
Retrieve a security access review
Update a security access review
Generate a summary for a security access review
List the actions for a security access review
Execute an action on a security access review
Retrieve the principal for a security access review
List the access items for a security access review
List the sub-access items for an access item
List the anomalies for an access item
Generate a summary for an access item
Execute an action on an access item
List the history of a security access review
Add a comment for a security access review
List all security access...
OAuth 2.0 scope:
- okta.governance.securityAccessReviews.admin.read
Admin roles:
- SUPER_ADMIN
Permissions:
- okta.governance.securityAccessReviews.admin.read
Lists all security access reviews
A filter expression that filters security access reviews. The eq and co operators are supported for string properties. The gt and lt operators are supported for date properties.
Note: Query parameter percent encoding is required. See Percent-encoding.
Examples:
Filter by name provided for the security access review
filter=name co "Git"Filter by status of the security access review
filter=status eq "ACTIVE"Filter by reviewer.name. Note that it compares against the first name and last name of the reviewer.
filter=reviewer.name co "John"Filter by created
filter=created gt "2022-05-24T14:15:22Z"The field to sort the results, in ascending (asc) or descending (desc) order. Sorting is applied to only one field.
Note: Query parameter percent encoding is required. See Percent-encoding
Default:["created asc"]
Examples:
Order by name
orderBy=name descOrder by created
orderBy=created descOrder by endTime
orderBy=endTime descOrder by status
orderBy=status descOrder by id
orderBy=id descSpecifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.
Example:after=00u68w6vzKLultXS97g6
GET
curl -i -X GET \
'https://okta-subdomain.pixtulate.com/governance/api/v2/security-access-reviews?filter=name%20co%20%22Git%22&orderBy=name%20desc&after=00u68w6vzKLultXS97g6&limit=20'